Gmail Manager doesn't work correctly with FF 3.6...unless you have v0.5.7.5 (Weird!) Rated 3 out of 5 stars

This extension started acting goofy the minute it got into the v0.6+ phase, and didn't start working again until I downgraded back to v0.5.7.5. So it's funny that, even though the version history says the latter is "compatible" with FF 3.6, it only gets that when you manually upgrade the maxversion number (LOL!)

This review is for a previous version of the add-on (0.6.1).